For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETGet Sync Target Metadata
        • GETGet Sync Target
        • GETList Sync Targets
        • GETGet Target Creation Property Values
Logo
Log inBook a demo
API ReferenceModel SyncTargets

Get Sync Target Metadata

Deprecated
GET
https://app.polytomic.com/api/connections/:id/modelsync/target
GET
/api/connections/:id/modelsync/target
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/target \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {},
4 "items": {
5 "public_schema": {
6 "has_items": true,
7 "items": [
8 "users",
9 "orders",
10 "products"
11 ],
12 "requires_one_of": [
13 "table"
14 ]
15 },
16 "analytics_schema": {
17 "has_items": false,
18 "items": null,
19 "requires_one_of": [
20 "view"
21 ]
22 }
23 },
24 "requires_one_of": [
25 "table"
26 ]
27 }
28}

Returns target metadata for a connection.

🚧 Deprecated

Use GET /api/connections/{id}/modelsync/targetobjects instead.

Was this page helpful?
Previous

Get Sync Target

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection.

Headers

X-Polytomic-VersionstringRequired

Query parameters

typestringOptional

Target object type to query (e.g. schema name). When supplied, the response is narrowed to objects matching this type.

searchstringOptional
Substring filter applied to target object names. Combine with type to browse large schemas.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error